Package: org.codehaus.groovy.ast.stmt

## [Java] Class SynchronizedStatement

- org.codehaus.groovy.ast.stmt.SynchronizedStatement

-     public class SynchronizedStatement
      extends Statement

  Represents a synchronized statement

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SynchronizedStatement (Expression expression, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Statement` | `getCode()`
    `` | `public Expression` | `getExpression()`
    `` | `public void` | `setCode(Statement statement)`
    `` | `public void` | `setExpression(Expression expression)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `cancel, isClosed, getConnection, getResultSetConcurrency, enquoteNCharLiteral, getLargeUpdateCount, isCloseOnCompletion, setEscapeProcessing, getResultSetHoldability, getWarnings, clearWarnings, getFetchSize, setFetchSize, getFetchDirection, setFetchDirection, getResultSet, executeQuery, executeBatch, setQueryTimeout, getUpdateCount, setPoolable, getLargeMaxRows, getResultSetType, clearBatch, executeLargeBatch, setLargeMaxRows, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, isPoolable, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMaxFieldSize, setMaxFieldSize, closeOnCompletion, getQueryTimeout, addBatch, setCursorName, enquoteLiteral, setMaxRows, getMaxRows, enquoteIdentifier, isSimpleIdentifier, getGeneratedKeys, getMoreResults, getMoreResults, execute, execute, execute, execute, close, isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### public SynchronizedStatement(Expression expression, Statement code)

  - ### Method Detail

    - #### public Statement getCode()

    - #### public Expression getExpression()

    - #### public void setCode(Statement statement)

    - #### public void setExpression(Expression expression)

    - #### public void visit(GroovyCodeVisitor visitor)